#ifndef _CUE_H
#define _CUE_H


#include "GameObject.h"
#include "Point.h"
#include "Direction.h"

class Cue : public GameObject {
  private:
    Point position;		// it's equal to position of the cue (white) ball

    Direction direction;	// contains the information about strength of the future stroke and its direction

  public:

	Cue();

	void setPosition(const Point& pos);

	void setDirection(const Direction& dir);

	Direction getDirection() const;
	
	Point getPosition() const;

    virtual void draw() const;

};
#endif
