// sets up the game
// creates the pool table
// positions the balls

#ifndef _GAMESETUP_H
#define _GAMESETUP_H


#include <string>
#include <vector>
using namespace std;

class Ball;
class Cuboid;

class GameSetup {
  private:
    string setupFile;

  public:
	int countOfSolids;

    int countOfStripes;

	GameSetup(const string filename);

    bool readFromFile(vector<Ball> & balls, vector<Cuboid> & cuboids);

	void standardSetup(vector<Ball> & balls, vector<Cuboid> & cuboids);

	void createTable(vector<Cuboid>& cuboids);

};
#endif
