// represents a mathematical point

#ifndef _POINT_H
#define _POINT_H


#include "Direction.h"

class Point {
  private:
    float x;

    float y;

    float z;


  public:

	  Point();

    Point(float px, float py, float pz);
	
	Point(const Point& point);

    Point operator+(const Direction & dir) const;

	Point& operator=(const Point& point);

	bool operator==(const Point& p) const;

    Direction operator-(const Point & point) const;

    float getX() const;

    float getY() const;

    float getZ() const;

};
#endif
