// one wall of the cuboid

#ifndef _WALL_H
#define _WALL_H


#include "Direction.h"
#include "Plane.h"
#include "WallPoints.h"
#include <QColor>

class Point;
class WallPoints;

class Wall : public Plane {
  private:
    Direction direction1;

    Direction direction2;
	
	QColor color;

  public:
	
	  explicit Wall();

	  Wall(const Point & ppoint, const Direction & dir1, const Direction & dir2, const QColor& pcolor);

	void draw() const;

	WallPoints getPoints() const;	// get all 4 points that describe the wall


};
#endif
