// set of points that describe a wall

#include "WallPoints.h"

Point WallPoints::operator[](const int index) const {
	assert(index >= 0 && index < 4);
	switch (index) {
		case 0: return first;
		case 1: return second;
		case 2: return third;
		case 3: return fourth;
		default: throw std::out_of_range("Wall point index out of bounds");
	}
}

WallPoints::WallPoints(const Point & pfirst, const Point & psecond, const Point & pthird, const Point & pfourth) : first(pfirst), second(psecond), third(pthird), fourth(pfourth) {
}

